#
# spec file for package host-spawn
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           host-spawn
Version:        1.5.0
Release:        1.2
Summary:        A reimplementation of flatpak-spawn --host
License:        MIT-0
URL:            https://github.com/1player/host-spawn
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  golang(API) >= 1.18
BuildRequires:  zstd

%description
Run commands on your host machine from inside your flatpak sandbox, toolbox or distrobox containers.

%prep
%autosetup -p1 -a1

%build
# https://github.com/1player/host-spawn/blob/master/build.sh#L22
CGO_ENABLED=0 go build \
   -ldflags  "-X main.Version=%{version}" \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Nov 13 2023 Michal Vyskocil <michal.vyskocil@gmail.com>
- Run spec-cleaner, remove pointless FIXME comment
* Mon Oct  9 2023 Michal Vyskocil <michal.vyskocil@gmail.com>
- Inital packaging of host-spawn 1.5.0 for openSUSE
